Bug 852231 - BRMS AsyncWSHumanTaskHandler port conflicts with JON port configuration
BRMS AsyncWSHumanTaskHandler port conflicts with JON port configuration
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5, Tooling (JBDS) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ER4
: BRMS 5.3.1 GA
Assigned To: Kris Verlaenen
Lukáš Petrovický
:
Depends On:
Blocks: 952626
  Show dependency treegraph
 
Reported: 2012-08-27 19:31 EDT by Eric D. Schabell
Modified: 2014-10-26 21:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The AsyncWSHumanTaskHandler handler was configured by default to use port 5446. When JBoss Enterprise BRMS and JBoss Operations Network 3.1 were run on the same machine there was a conflict because JBoss Operations Network also uses port 5446. This has been resolved by changing the default port for the AsyncWSHumanTaskHandler handler to 5153. Both systems can now run on the same machine with no port conflicts.
Story Points: ---
Clone Of:
: 952626 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric D. Schabell 2012-08-27 19:31:54 EDT
Description of problem:

In the brms rewards demo (https://github.com/eschabell/brms-rewards-demo)the following WS HumanTask handler being set:

AsyncWSHumanTaskHandler handler = new AsyncWSHumanTaskHandler(client, ksession); 
handler.setConnection("127.0.0.1", 5446); 

When running JON v3.1 on the same system you get a port conflict when booting the BRMS server.

It is resolved by changing the rhq-server.properties file property rhq.server.startup.unifiedinvoker.port=5446 to rhq.server.startup.unifiedinvoker.port=6446. 

The above port is used internally by JON Server. 

Note: JON v3.1 uses port 5446 for internal use. Checking back on an old JON release, v2.4.1, it uses the same port. 

The JON v3.1 property is called rhq.server.startup.unifiedinvoker.port and is configured OOTB for 5446. 


Version-Release number of selected component (if applicable):


How reproducible:
See above.

Steps to Reproduce:
1. see above.
2.
3.
  
Actual results:
Port conflict when booting BRMS server with JON running.

Expected results:
Would like to see JON have prio on this port, they were first.

Additional info:
"Doug Woods" < dowoods@redhat.com > initial discovery of bug.
Comment 1 Kris Verlaenen 2012-10-17 20:09:19 EDT
Could we agree on what port we should use then?

Kris
Comment 2 Rajesh Rajasekaran 2012-10-24 10:59:51 EDT
Setting pm_ack as this issue has been approved by Dev and QE. Also proposing this issue for docs installation guide, in case we do not fix the port conflict but just want to inform customers to configure the port before using.
Comment 3 Maciej Swiderski 2012-10-24 11:04:58 EDT
In general port for human task service is already configurable:
1. in jbpm.console.properties (inside business-central.server.war) to configure human task work item handler
2. in web.xml of jbpm-human-task.war for human task server

5446 port was used as by default 5445 (default hornetq port) is already taken by embedded hornetq of EAP5.

Shall that be changed on code level or will it be product configuration/documentation?
Comment 4 Kris Verlaenen 2012-10-25 11:35:41 EDT
Maciej,

I'd recommend we don't just change this for the product, but that we change the default in the community as well.  This to avoid issues where people would have problems when trying to connect to the task service in production (for example with the eclipse plugin) or where people would have to always do additional configuration (more complexity) when using the product (as the default is not using the right port).

So that would involve changing the port wherever it occurs in the droolsjbpm codebase.  Wdyt?
Comment 5 Maciej Swiderski 2012-10-25 11:45:31 EDT
Kris, I am fine with that, once we have decided what port number it should be I'll make the changes which including eclipse plugin as well.

As a side note, regardless of the port we choose now there is always a risk of port conflict in some environments so the most important is the ability to change it easily which I think we already have

So, waiting for port number that should be used.
Comment 6 lcarlon 2012-10-25 19:38:17 EDT
This issue has been marked as requires_doc_text, however, no text has been provided. Please provide the text so it can be added to the release notes document, or set the requires_doc_text flag to '-'.

Thanks
Lee
Comment 7 Kris Verlaenen 2012-10-30 10:42:56 EDT
Seems port 5153 might be a good fit, didn't really find any information about this port commonly being used by other applications.
Comment 8 Maciej Swiderski 2012-10-31 05:18:48 EDT
ok, port changed to 5153 for both jbpm code base and eclipse plugin. Change was merged into master and 5.2.x (jbpm), master and 5.3.x (droolsjbpm-tools)
Comment 10 Lukáš Petrovický 2013-04-16 07:16:23 EDT
This has been resolved a long time ago. Setting VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.